summaryrefslogtreecommitdiffstats
path: root/development/SDL2_net
diff options
context:
space:
mode:
author Dugan Chen2013-10-28 20:40:37 +0100
committer Robby Workman2013-10-28 22:45:45 +0100
commitdd8079f6c75204d31e7f25e88e15a2ba50c3ac0c (patch)
tree11907db231da13ed91aaf78677d6d19a65af66ae /development/SDL2_net
parent0e61bf3fccbf38f10ed738d9924954b8db5dc59a (diff)
downloadslackbuilds-dd8079f6c75204d31e7f25e88e15a2ba50c3ac0c.tar.gz
development/SDL2_net: Added (cross platform networking library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/SDL2_net')
-rw-r--r--development/SDL2_net/README3
-rw-r--r--development/SDL2_net/SDL2_net.SlackBuild99
-rw-r--r--development/SDL2_net/SDL2_net.info10
-rw-r--r--development/SDL2_net/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/development/SDL2_net/README b/development/SDL2_net/README
new file mode 100644
index 0000000000..3f3e632887
--- /dev/null
+++ b/development/SDL2_net/README
@@ -0,0 +1,3 @@
+This SDL2 extension is a small cross platform networking library.
+
+It is safe to install alongside Slackware's SDL libraries.
diff --git a/development/SDL2_net/SDL2_net.SlackBuild b/development/SDL2_net/SDL2_net.SlackBuild
new file mode 100644
index 0000000000..4862e1935f
--- /dev/null
+++ b/development/SDL2_net/SDL2_net.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for SDL2_net
+
+# Copyright 2013 Dugan Chen Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SDL2_net
+VERSION=${VERSION:-2.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-gui
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/demo
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a chat.cpp chat.h chatd.c $PKG/usr/doc/$PRGNAM-$VERSION/demo
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/SDL2_net/SDL2_net.info b/development/SDL2_net/SDL2_net.info
new file mode 100644
index 0000000000..e7350167f1
--- /dev/null
+++ b/development/SDL2_net/SDL2_net.info
@@ -0,0 +1,10 @@
+PRGNAM="SDL2_net"
+VERSION="2.0.0"
+HOMEPAGE="http://www.libsdl.org/projects/SDL_net/"
+DOWNLOAD="http://www.libsdl.org/projects/SDL_net/release/SDL2_net-2.0.0.tar.gz"
+MD5SUM="83bcd0e67796b81b35b08a014c677200"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2"
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster [at] gmail [dot] com"
diff --git a/development/SDL2_net/slack-desc b/development/SDL2_net/slack-desc
new file mode 100644
index 0000000000..3f45345ca4
--- /dev/null
+++ b/development/SDL2_net/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SDL2_net: SDL2_net (cross platform networking library)
+SDL2_net:
+SDL2_net: This is a small cross platform networking library.
+SDL2_net:
+SDL2_net:
+SDL2_net:
+SDL2_net:
+SDL2_net:
+SDL2_net:
+SDL2_net:
+SDL2_net: